Subject: RE: [Simple] RE: simple-filter Max Size or Max number of element asfilter cri terias?

From: [email-masked]
Date: Wed, 7 Jul 2004 14:46:00 +0300

> -----Original Message-----
> From: ext Jonathan Rosenberg [mailto:[email-masked]]
> Sent: 07.July.2004 14:03
> To: Khartabil Hisham (Nokia-TP-MSW/Helsinki)
> Cc: Garcia Miguel.An (Nokia-NRC/Helsinki);
> [email-masked]; [email-masked]
> Subject: Re: [Simple] RE: simple-filter Max Size or Max number of
> element asfilter cri terias?
> 
> 
> 
> 
> [email-masked] wrote:
> 
> > I was suggesting it as an HTTP extension, not an XCAP extension.
> 
> I don't understand how this is an HTTP extension. Its XML specific.

So what if it is XML specific. A similar argument can be said about event notification filtering: Do you really believe that all event notification packages will be defined in XML?

> 
> I also dont understand what is gained, in terms of xcap, from 
> doing it 
> this way instead of just including the actual xpath 
> expression into the 
> XCAP URI. What features does the filter document provide, 
> that we need 
> in xcap, beyond the xpath filering expression?

Probably nothing is gained. I was just pointing to another way of satisfying the requirement, but with a more general solution not specific to XCAP.

Anyway, it people believe it is too heavy, then I withdraw my suggestion.

/Hisham

> 
> -Jonathan R.
> 
> 
> -- 
> Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
> Chief Technology Officer                    Parsippany, NJ 07054-2711
> dynamicsoft
> [email-masked]                     FAX:   (973) 952-5050
> http://www.jdrosen.net                      PHONE: (973) 952-5000
> http://www.dynamicsoft.com
> 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple